Bug 836730 - When performing a rpm -Va complaints appear about libevent libraries
When performing a rpm -Va complaints appear about libevent libraries
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libevent (Show other bugs)
17
i386 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-30 12:55 EDT by Erick
Modified: 2013-08-01 07:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:05:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erick 2012-06-30 12:55:05 EDT
Description of problem: this could be a bug in rpm or an incorrect symlinking structure of libevent libraries, but when performing a rpm -Va the following files which need attention appear:

....L....    /usr/lib/libevent-2.0.so.5
....L....    /usr/lib/libevent_core-2.0.so.5
....L....    /usr/lib/libevent_extra-2.0.so.5
....L....    /usr/lib/libevent_openssl-2.0.so.5
....L....    /usr/lib/libevent_pthreads-2.0.so.5

when looking further into this the symlinks resolve fine, however for the above libraries a construct like:

libevent_core-2.0.so.5 -> libevent_core.so -> libevent_core-2.0.so.5.1.6 is used. I.e.

libevent_core-2.0.so.5 is symlinked to another symlink: libevent_core.so and next libevent_core.so is symlinked to the real library, while normally the structure would be, if translated from above:

libevent_core-2.0.so.5 -> libevent_core-2.0.so.5.1.6
libevent_core.so -> libevent_core-2.0.so.5.1.6

I've got the feeling that the above messages from rpm -Va stem from the symlink to symlink chain. 

Question: is it correct that rpm -Va is complaining about the above 'symlink to symlink to library' chained construct for libevent_core or is the structure of the symlinking for these libraries wrong and is rpm -Va is correct in complaining?


Version-Release number of selected component (if applicable): 

libevent-devel-2.0.18-1.fc17.i686.rpm


How reproducible: always


Steps to Reproduce:
1. run rpm -Va on F17 with package libevent-devel-2.0.18-1 installed.
2. filter for libevent
3.
  
Actual results:

see above

Expected results:

no message from rpm -Va either by having libevent-devel have it's symlinking structure fixed or rpm -Va accepting the above symlinking constructs.


Additional info:
Comment 1 Fedora End Of Life 2013-07-03 23:29:31 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 07:06:00 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.